<div class="min-h-screen bg-odb-50 w-full">
  <main class="w-full h-full flex flex-wrap justify-center items-center">
    <div
      class="w-full bg-odb-800 mb-12 lg:mb-24 p-4 pb-6 flex justify-between items-center"
    >
      <div
        class="flex items-center hover:cursor-pointer"
        routerLink="/admin-dashboard"
      >
        <i class="bi bi-arrow-left text-2xl text-gray-100 mr-4"></i>
        <span class="font-odb text-2xl text-gray-100"> Volver</span>
      </div>
      <button
        (click)="logOut()"
        class="px-4 py-2 text-gray-100 border-2 rounded border-gray-100 hover:bg-odb-400"
      >
        Cerrar sesión
        <i class="bi bi-door-closed ml-4"></i>
      </button>
    </div>
    <div class="w-full px-4 lg:px-24">
      <span class="text-2xl font-odb font-bold text-gray-800 uppercase"
        >Buscar inmueble por referencia</span
      >
      <div>
        <h2 class="block mb-4">
          Ver detalles de un inmueble específico, deshabilitarlos o eliminarlos
          permanentemente
        </h2>
        <label for="search" class="text-gray-600">Referencia</label>
        <input
          type="text"
          name="search-property"
          placeholder="Ej: ODB_..."
          #reference
          class="form-input-full"
        />
        <button
          (click)="searchProperty(reference.value)"
          type="button"
          class="flex w-full py-2 justify-center items-center text-lg bg-odb-400 text-gray-200 rounded cursor-pointer transition-all ease-in-out hover:bg-odb-800 border-2 border-odb-400"
        >
          <i class="bi bi-search text-xl mr-4 -ml-4"></i>Buscar
        </button>
        <div class="text-center py-12">
          <i
            *ngIf="!currentProperty"
            class="bi bi-file-earmark-ruled text-5xl text-center text-odb-200"
          ></i>

          <ng-container *ngIf="currentProperty">
            <table class="property-table w-full">
              <thead>
                <th>Detalle</th>
                <th>Valor</th>
              </thead>
              <tr>
                <td>Referencia Original</td>
                <td>
                  {{ currentProperty.oldReference }}
                </td>
              </tr>
              <tr>
                <td>Entidad Origen</td>
                <td>
                  {{ currentProperty.dataSourceSite.name }}
                </td>
              </tr>
              <tr>
                <td>Url origen</td>
                <td>
                  <a
                    [href]="currentProperty.dataSourceSiteUrl"
                    target="_blank"
                    >{{ currentProperty.dataSourceSiteUrl }}</a
                  >
                </td>
              </tr>
              <tr>
                <td>Precio</td>
                <td>
                  {{ currentProperty.price }}
                </td>
              </tr>
              <tr>
                <td>Precio 2 (antiguo)</td>
                <td>
                  {{ currentProperty.price2 }}
                </td>
              </tr>
              <tr>
                <td>Tipo/Subtipo</td>
                <td>
                  {{ currentProperty.propertySubtype.name }} ({{
                    currentProperty.propertySubtype.propertyType?.name
                  }})
                </td>
              </tr>
              <tr>
                <td>Código postal</td>
                <td>
                  {{ currentProperty.zipCode }}
                </td>
              </tr>
            </table>
            <div class="flex flex-wrap justify-around mt-4">
              <button
                (click)="toggleProperty(currentProperty.id)"
                class="px-4 py-2 text-gray-100 bg-odb-500 border-2 rounded border-odb-800 hover:bg-odb-800 mb-4"
              >
                <i class="bi bi-dash-circle mr-4"></i>
                Deshabilitar/habilitar
              </button>
              <button
                (click)="deleteProperty(currentProperty.id)"
                class="px-4 py-2 text-gray-100 bg-red-600 border-2 rounded border-red-800 hover:bg-red-800 mb-4"
              >
                <i class="bi bi-trash mr-4"></i>
                Eliminar permanentemente
              </button>
            </div>
          </ng-container>
        </div>
      </div>
    </div>
  </main>
</div>
